package com.ssj.service.sys.award.service;

import com.ssj.bean.sys.award.domain.AwardGrant;
import com.ssj.framework.core.common.service.BaseService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.Map;

public interface AwardGrantService extends BaseService<AwardGrant, String> {
	
	public Page<Map<String, Object>> findAwardGrantBylist(Map<String, Object> searchParams, Pageable pageable);
	
	public boolean addAwardGrantAndAwardStock(AwardGrant awardGrant);
	
	public boolean addAwardGrantAndAwardStockBySSJFX(AwardGrant awardGrant);
	
	public boolean updateAwardGrantByStatus(AwardGrant awardGrant, Integer status);
	
	
}
